Haketilo - Feature #37

prepare some website fixes usable with this extension
07/01/2021 01:51 PM - koszko

Status: Closed Start date: 07/01/2021
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Hachette's goal (not the only one) is to enable fixing of nonfree-js-encumbered sites and sharing the fixes. However, right now there
is only one, rather poor fix - that for opencores.org (listing of projects). To help raise interest in our project, we should come up with
some more fixes and maybe even enhancements.

For the beginning, it makes sense to choose and fix some simple sites. We'll handle complex stuff like reCaptcha and Stripe later on.
It makes sense to collect existing fixes (currently residing in their own separate extensions), as well as to translate code from
existing, standalone web-scraping programs (youtube-dl, weboob) to js and distribute it all as fixes compatible with this extension.

Please note that this is rather easy tasks and for now, skilled developers should better contribute to the extension itself (and later to
the platform for sharing changes).

History

#1 - 07/04/2021 04:50 AM - jahoti
- % Done changed from 0 to 10

Patch pushed to git (awaiting acceptance/rejection from master branch) changes the defaults to include a few tested fixes alongside the opencores
one. While these are likely to change, it's hopefully a start.

#2 - 07/31/2021 03:14 AM - jahoti
- % Done changed from 10 to 100

- Status changed from New to Closed

https://qgit.koszko.org/hachette_fixes_tmp

IMO, there's enough fixes available now to consider this complete.

09/06/2023 1/1



https://git.koszko.org/hachette_fixes_tmp
http://www.tcpdf.org

